aboutsummaryrefslogtreecommitdiffstats
path: root/scripts/build-otp
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/build-otp')
-rwxr-xr-xscripts/build-otp39
1 files changed, 39 insertions, 0 deletions
diff --git a/scripts/build-otp b/scripts/build-otp
new file mode 100755
index 0000000000..da09fb8045
--- /dev/null
+++ b/scripts/build-otp
@@ -0,0 +1,39 @@
+#!/bin/bash
+
+function progress {
+ local file=$1
+ ls=$(ls -l $file)
+ while [ true ]; do
+ sleep 10
+ new_ls=$(ls -l $file)
+ if [ "$new_ls" != "$ls" ]; then
+ echo -n "."
+ fi
+ ls="$new_ls"
+ done
+}
+
+function do_and_log {
+ log="scripts/latest-log.$$"
+ echo "" >$log
+ echo -n "$1..."
+ (progress $log) &
+ pid=$!
+ disown
+ if ./otp_build $2 $3 >$log 2>&1; then
+ kill $pid >/dev/null 2>&1
+ echo " done."
+ else
+ kill $pid >/dev/null 2>&1
+ echo " failed."
+ tail -n 200 $log
+ echo "*** Failed ***"
+ exit 1
+ fi
+}
+
+do_and_log "Autoconfing" autoconf
+do_and_log "Configuring" configure
+do_and_log "Building OTP" boot -a
+
+exit 0